IntegerType (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.types, class: IntegerType

# Class IntegerType

java.lang.Object
org.apache.cayenne.access.types.IntegerType

All Implemented Interfaces:
  `ExtendedType<Integer>`

public class IntegerType extends Object implements ExtendedType<Integer>

Since:
  3.0

- ## Field Summary

  ### Fields inherited from interface ExtendedType

  `TRIM_VALUES_THRESHOLD`
  Modifier and Type
  Field
  Description
  `static final int`
  `TRIM_VALUES_THRESHOLD`
  Defines trimming constant for toString method that helps to limit logging of large values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns a full name of Java class that this ExtendedType supports.
  `Integer`
  `materializeObject(CallableStatement rs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Integer`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `void`
  `setJdbcObject(PreparedStatement statement, Integer value, int pos, int type, int scale)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Integer value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegerType

    public IntegerType()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Description copied from interface: `ExtendedType`
    Returns a full name of Java class that this ExtendedType supports.
    Specified by:
      `getClassName` in interface `ExtendedType<Integer>`

  - ### materializeObject

    public Integer materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Integer>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Integer materializeObject(CallableStatement rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Integer>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement statement, Integer value, int pos, int type, int scale) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<Integer>`
    Throws:
      `Exception`

  - ### toString

    public String toString(Integer value)
    Description copied from interface: `ExtendedType`
    Converts value of the supported type to a human-readable String representation.
    Specified by:
      `toString` in interface `ExtendedType<Integer>`
    Parameters:
      `value` - a value to convert to String.